<!DOCTYPE html>
<html>
<head>
<title>Task 1</title>
<meta charset='utf-8'/>



</head>
<body>
<script type="text/javascript">
        var numb1 = +prompt("№1. Введите первое число:");
        var numb2 = +prompt("№1. Введите второе число:");
        var numb3 = +prompt("№1. Введите третье число:");
 
        // Если нечетные числа - вывести сообщение
        if(numb1%2==0 && numb2%2==0 &&numb3%2==0){

            document.write('четные!');
        }
        else {document.write('НЕчетные!');}
        
        // if ( numb1== numb2==numb3) {
        //    alert("Ошибка! Вы ввели три одинаковых числа.");
        // }
        // arif=(numb1+numb2+numb3)/3;
        // document.write("<br><b>№1. Среднее арифметическое: </b>"+ arif);



</script>


	<!-- <h1>Домашнее задание 1.</h1>
	<p>
		<b>1.</b> Среди трех чисел найти среднее арифметическое. Если среди чисел есть равные, вывести сообщение "Ошибка". Числа принять от пользователя.</p>
	
	<script>

        var numb1 = +prompt("№1. Введите первое число:");
        var numb2 = +prompt("№1. Введите второе число:");
        var numb3 = +prompt("№1. Введите третье число:");
        var arif=0;
 
        if ( numb1== numb2==numb3) {
           alert("Ошибка! Вы ввели три одинаковых числа.");
        }
        arif=(numb1+numb2+numb3)/3;
        document.write("<br><b>№1. Среднее арифметическое: </b>"+ arif);
    </script>


<p>

    2. Построить прямоугольный треугольник состоящий из символа "*".
    <script>
        var l = +prompt("№2. Введите lлину треугольника:");
        var str='*';
        var b='*';
        for(var i=0;i<l;i++){
        	document.write("<br>"+str);
        	str=str+b;
        }
        
</script>
</p>

 <p>   3. Определить какое из трех, введенных пользователем, чисел максимальное и вывести его на экран.
</p>
<script>
        var n1 = +prompt("№3. Введите первое число:");
        var n2 = +prompt("№3. Введите второе число:");
        var n3 = +prompt("№3. Введите третье число:");
 		var result;
        if ( n1> n2 && n1>n3) {
            result=n1;}
        if ( n2> n1 && n2>n3) {
            result=n2;
        }
        if ( n3> n1 && n3>n2) {
            result=n3;
        }

         document.write("<b>№3. Максимальное число: </b>"+ result);
        
</script>

<p>    
	4. Дано два числа A и B где (A меньше B). 
    Выведите на экран суму всех чисел расположенных в числовом промежутке от А до В. Выведите на экран все нечетные значения, расположенные в числовом промежутке от А до В. 
    <script>
     var num1 = +prompt("№4. Введите первое число:");
     var num2 = +prompt("№4. Введите второе число:");
     var suma=0; var a=0;
     if(num1<num2)
     {
	     for(var i=1;i<num2-num1;i++){
	     suma=suma+num1+i;

	     }
	     document.write("<br><b>№4. Cумма всех чисел: </b>"+ suma);
	     
	     document.write("<br><b>№4. Все нечетные числа: </b>");
			  for(var b=1;b<num2-num1;b++){
			  		var a=num1+b;
				  if(a%2!=0){
				  	document.write(" "+ a +",");

				  }
				}
	 	 }
	 
     else alert("Вы ввели неправильные числа! Первое число должно быть меньше второго.");
  	</script>

</p>
<p>
    5. Вывести на экран ряд чисел Фибоначчи, состоящий из n элементов (n принять от пользователя).
       Числа Фибоначчи – это элементы числовой последовательности, в которой каждое последующее число равно сумме двух предыдущих.

      <script>
     var n = +prompt("№5. Введите количество элементов:");
     var prev1=1; var next=0;
     var prev2=1;
     document.write("<br><b>№5. Числа Фибоначчи: </b>"+prev2+", "+prev1+",");
	     for(var i=0;i<n;i++){
	     	next=prev1+prev2; 
	     	prev2=prev1;
	     	prev1=next; 
	     
	     document.write(" "+ next+",");
	     }
	 
	 
  	</script>
</p>
<p>
    6. Вывести на экран таблицу умножения от 0 до 9.

<script>
     var result;
     	for(var i=1;i<=9;i++){
     		document.write("<br>" +'<b>'+i+'</b>');
     		for(var a=1;a<=9;a++){
     		
     		
     		result=i*a;
     		document.write(" - "+ result+" - ");
     	
     	}

     	}

	     
	     
	     
	 
	 
  	</script>


</p>
 -->

</body>
</html>